WPSHeader Class Reference documentation

Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
WPSHeader Class Reference

`#include <WPSHeader.h>`

## Public Member Functions
| WPSHeader (RVNGInputStreamPtr &input, RVNGInputStreamPtr &fileInput, int majorVersion, libwps::WPSKind kind=libwps::WPS_TEXT, libwps::WPSCreator creator=libwps::WPS_MSWORKS)
| ~WPSHeader ()
RVNGInputStreamPtr & | getInput ()
RVNGInputStreamPtr & | getFileInput ()
libwps::WPSCreator | getCreator () const
void | setCreator (libwps::WPSCreator creator)
libwps::WPSKind | getKind () const
void | setKind (libwps::WPSKind kind)
bool | getIsEncrypted () const
void | setIsEncrypted (bool isEncrypted)
bool | getNeedEncoding () const
void | setNeedEncoding (bool needEncoding)
int | getMajorVersion () const
void | setMajorVersion (int version)

## Static Public Member Functions
static WPSHeader * | constructHeader (RVNGInputStreamPtr &input)
| So far, we have identified three categories of Works documents.

## Private Member Functions
| WPSHeader (const WPSHeader &)=delete
WPSHeader & | operator= (const WPSHeader &)=delete

## Private Attributes
RVNGInputStreamPtr | m_input
RVNGInputStreamPtr | m_fileInput
int | m_majorVersion
libwps::WPSKind | m_kind
libwps::WPSCreator | m_creator
bool | m_isEncrypted
| a flag to know if the file is encrypted
bool | m_needEncodingFlag
| a flag to know if we need to have the character set encoding

## Constructor & Destructor Documentation

## ◆ WPSHeader() [1/2]

WPSHeader::WPSHeader | ( | RVNGInputStreamPtr & | input,
|  | RVNGInputStreamPtr & | fileInput,
|  | int | majorVersion,
|  | libwps::WPSKind | kind = libwps::WPS_TEXT,
|  | libwps::WPSCreator | creator = libwps::WPS_MSWORKS )

Referenced by constructHeader(), operator=(), and WPSHeader().

## ◆ ~WPSHeader()

WPSHeader::~WPSHeader | ( |  | ) |

## ◆ WPSHeader() [2/2]

WPSHeader::WPSHeader | ( | const WPSHeader & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ constructHeader()

WPSHeader * WPSHeader::constructHeader | ( | RVNGInputStreamPtr & | input | ) |
| static

So far, we have identified three categories of Works documents.

Works documents versions 3 and later use a MS OLE container, so we detect their type by checking for OLE stream names. Works version 2 is like Works 3 without OLE, so those two types use the same parser.

Referenced by libwps::WPSDocument::isFileFormatSupported(), libwps::WPSDocument::parse(), libwps::WPSDocument::parse(), and WPSOLEParser::readMN0AndCheckWKS().

## ◆ getCreator()

libwps::WPSCreator WPSHeader::getCreator | ( |  | ) | const
| inline

## ◆ getFileInput()

RVNGInputStreamPtr & WPSHeader::getFileInput | ( |  | ) |
| inline

## ◆ getInput()

RVNGInputStreamPtr & WPSHeader::getInput | ( |  | ) |
| inline

## ◆ getIsEncrypted()

bool WPSHeader::getIsEncrypted | ( |  | ) | const
| inline

## ◆ getKind()

libwps::WPSKind WPSHeader::getKind | ( |  | ) | const
| inline

## ◆ getMajorVersion()

int WPSHeader::getMajorVersion | ( |  | ) | const
| inline

## ◆ getNeedEncoding()

bool WPSHeader::getNeedEncoding | ( |  | ) | const
| inline

## ◆ operator=()

WPSHeader & WPSHeader::operator= | ( | const WPSHeader & |  | ) |
| privatedelete

## ◆ setCreator()

void WPSHeader::setCreator | ( | libwps::WPSCreator | creator | ) |
| inline

Referenced by libwps::MultiplanParser::checkHeader(), LotusParser::checkHeader(), Quattro9Parser::checkHeader(), QuattroDosParser::checkHeader(), QuattroParser::checkHeader(), and WKS4Parser::checkHeader().

## ◆ setIsEncrypted()

void WPSHeader::setIsEncrypted | ( | bool | isEncrypted | ) |
| inline

Referenced by libwps::MultiplanParser::checkHeader(), LotusParser::checkHeader(), Quattro9Parser::checkHeader(), QuattroParser::checkHeader(), and WKS4Parser::checkHeader().

## ◆ setKind()

void WPSHeader::setKind | ( | libwps::WPSKind | kind | ) |
| inline

Referenced by libwps::MultiplanParser::checkHeader(), LotusParser::checkHeader(), Quattro9Parser::checkHeader(), QuattroDosParser::checkHeader(), QuattroParser::checkHeader(), and WKS4Parser::checkHeader().

## ◆ setMajorVersion()

void WPSHeader::setMajorVersion | ( | int | version | ) |
| inline

Referenced by DosWordParser::checkHeader(), libwps::MultiplanParser::checkHeader(), LotusParser::checkHeader(), PocketWordParser::checkHeader(), Quattro9Parser::checkHeader(), QuattroDosParser::checkHeader(), QuattroParser::checkHeader(), WKS4Parser::checkHeader(), WPS4Parser::checkHeader(), and XYWriteParser::checkHeader().

## ◆ setNeedEncoding()

void WPSHeader::setNeedEncoding | ( | bool | needEncoding | ) |
| inline

Referenced by DosWordParser::checkHeader(), libwps::MultiplanParser::checkHeader(), LotusParser::checkHeader(), PocketWordParser::checkHeader(), Quattro9Parser::checkHeader(), QuattroDosParser::checkHeader(), QuattroParser::checkHeader(), WKS4Parser::checkHeader(), and WPS4Parser::checkHeader().

## Member Data Documentation

## ◆ m_creator

libwps::WPSCreator WPSHeader::m_creator
| private

Referenced by getCreator(), setCreator(), and WPSHeader().

## ◆ m_fileInput

RVNGInputStreamPtr WPSHeader::m_fileInput
| private

Referenced by getFileInput(), and WPSHeader().

## ◆ m_input

RVNGInputStreamPtr WPSHeader::m_input
| private

Referenced by getInput(), and WPSHeader().

## ◆ m_isEncrypted

bool WPSHeader::m_isEncrypted
| private

a flag to know if the file is encrypted

Referenced by getIsEncrypted(), setIsEncrypted(), and WPSHeader().

## ◆ m_kind

libwps::WPSKind WPSHeader::m_kind
| private

Referenced by getKind(), setKind(), and WPSHeader().

## ◆ m_majorVersion

int WPSHeader::m_majorVersion
| private

Referenced by getMajorVersion(), setMajorVersion(), and WPSHeader().

## ◆ m_needEncodingFlag

bool WPSHeader::m_needEncodingFlag
| private

a flag to know if we need to have the character set encoding

Referenced by getNeedEncoding(), setNeedEncoding(), and WPSHeader().

The documentation for this class was generated from the following files:

- WPSHeader.h
- WPSHeader.cpp